package com.hw.system.common.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 打印机信息对象 hw_printer_info
 *
 * @author Yinq
 * @date 2024-03-25
 */
public class HwPrinterInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 打印机ID
     */
    private Long printerInfoId;

    /**
     * 打印机编号
     */
    @Excel(name = "打印机编号")
    private String printerInfoCode;

    /**
     * 打印机名称
     */
    @Excel(name = "打印机名称")
    private String printerInfoName;

    /**
     * 打印机位置
     */
    @Excel(name = "打印机位置")
    private String printerInfoAddress;

    /**
     * IP地址
     */
    @Excel(name = "IP地址")
    private String printerInfoIp;

    public void setPrinterInfoId(Long printerInfoId) {
        this.printerInfoId = printerInfoId;
    }

    public Long getPrinterInfoId() {
        return printerInfoId;
    }

    public void setPrinterInfoCode(String printerInfoCode) {
        this.printerInfoCode = printerInfoCode;
    }

    public String getPrinterInfoCode() {
        return printerInfoCode;
    }

    public void setPrinterInfoName(String printerInfoName) {
        this.printerInfoName = printerInfoName;
    }

    public String getPrinterInfoName() {
        return printerInfoName;
    }

    public void setPrinterInfoAddress(String printerInfoAddress) {
        this.printerInfoAddress = printerInfoAddress;
    }

    public String getPrinterInfoAddress() {
        return printerInfoAddress;
    }

    public void setPrinterInfoIp(String printerInfoIp) {
        this.printerInfoIp = printerInfoIp;
    }

    public String getPrinterInfoIp() {
        return printerInfoIp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("printerInfoId", getPrinterInfoId())
                .append("printerInfoCode", getPrinterInfoCode())
                .append("printerInfoName", getPrinterInfoName())
                .append("printerInfoAddress", getPrinterInfoAddress())
                .append("printerInfoIp", getPrinterInfoIp())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
